List API keys
curl --request GET \
--url https://console.gmicloud.ai/api/v1/organizations/{orgId}/api-keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.gmicloud.ai/api/v1/organizations/{orgId}/api-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.gmicloud.ai/api/v1/organizations/{orgId}/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"keys": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "My Service API Key",
"scope": "ie_model",
"partialKey": "3D6l27ChEA",
"createdAt": 1738812775,
"expiresAt": 1738812775,
"owner": {
"id": "a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11",
"firstName": "john",
"lastName": "doe"
},
"type": "ie_model"
}
]
}{
"group": "request",
"code": 0,
"validationDetail": [
{
"field": "orgId",
"expression": "uuid",
"originalValue": "orgId",
"reason": "Should be a valid UUID."
}
]
}{
"group": "organization",
"code": 2,
"message": "Organization does not exist."
}{
"group": "api-key",
"code": 1200,
"message": "Get API key list encountered DB error.",
"traces": [
"DB error occurred."
]
}organizations
List API keys
Retrieve a list of API keys accessible by the authenticated user.
- Organization owner/admin: Can view all API keys within the organization.
- Organization user: Can only see their own API keys.
GET
/
organizations
/
{orgId}
/
api-keys
List API keys
Authorizations
An access token used to authenticate a user and grant access to restricted APIs. It is issued by session APIs. For status codes related to this header, refer to the Common Headers Documentation.
Path Parameters
The organization's ID.
- Must be a valid UUID.
Example:
"a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"
Response
Successfully retrieved the list of API keys.
A list of API keys.
Show child attributes
Show child attributes
⌘I